Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent
Class RepoResource

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
          com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResource

All Implemented Interfaces:
  IdedObject

Direct Known Subclasses:
  ContentRepoFileResource, RepoDataSource, RepoDataType, RepoFileResource, RepoInputControl, RepoListOfValues, RepoMondrianXMLADefinition, RepoOlapClientConnection, RepoOlapUnit, RepoQuery, RepoReportUnit

    public abstract class RepoResource

extends RepoResourceBase

Version:
  $Id: RepoResource.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`creationDate, description, id, label, name, parent, version`

Constructor Summary
`protected` | `RepoResource()`

Method Summary
`void` | `addNewChild(RepoResource resource)`
`protected void` | `copyFrom(Resource clientRes, ReferenceResolver referenceResolver)`
`void` | `copyFromClient(Resource clientRes, ReferenceResolver referenceResolver)`
`protected void` | `copyTo(Resource clientRes, ResourceFactory resourceFactory)`
`boolean` | `equals(java.lang.Object obj)`
`protected void` | `filterChildren()`
`RepoFolder` | `getChildrenFolder()`
`protected ResourceReference` | `getClientReference(RepoResource reference, ResourceFactory resourceFactory)`
`protected RepoResource` | `getReference(Resource resource, java.lang.Class persistentClass, ReferenceResolver referenceResolver)`
`protected RepoResource` | `getReference(ResourceReference resourceRef, java.lang.Class persistentClass, ReferenceResolver referenceResolver)`
`int` | `hashCode()`
`protected void` | `initNewChildren()`
`void` | `setChildrenFolder(RepoFolder childrenFolder)`
`java.lang.Object` | `toClient(ResourceFactory resourceFactory)`
`ResourceLookup` | `toClientLookup()`
`java.lang.String` | `toString()`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`copyFrom, copyFromClient, copyTo, getClientItf, getCreationDate, getDescription, getId, getLabel, getName, getParent, getResourceURI, getVersion, isNew, setCreationDate, setDescription, setId, setLabel, setName, setParent, setVersion`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepoResource

    protected RepoResource()

Method Detail

### getClientReference

    protected final ResourceReference getClientReference(RepoResource reference,
                                                         ResourceFactory resourceFactory)

### toClient

    public java.lang.Object toClient(ResourceFactory resourceFactory)

  Specified by:
    `toClient` in interface `IdedObject`
  Overrides:
    `toClient` in class `RepoResourceBase`

### toClientLookup

    public ResourceLookup toClientLookup()

### copyTo

    protected void copyTo(Resource clientRes,
                          ResourceFactory resourceFactory)

### copyFromClient

    public void copyFromClient(Resource clientRes,
                               ReferenceResolver referenceResolver)

### copyFrom

    protected void copyFrom(Resource clientRes,
                            ReferenceResolver referenceResolver)

### initNewChildren

    protected void initNewChildren()

### addNewChild

    public void addNewChild(RepoResource resource)

### filterChildren

    protected void filterChildren()

### getChildrenFolder

    public RepoFolder getChildrenFolder()

### setChildrenFolder

    public void setChildrenFolder(RepoFolder childrenFolder)

### getReference

    protected RepoResource getReference(ResourceReference resourceRef,
                                        java.lang.Class persistentClass,
                                        ReferenceResolver referenceResolver)

### getReference

    protected RepoResource getReference(Resource resource,
                                        java.lang.Class persistentClass,
                                        ReferenceResolver referenceResolver)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.